import * as React from 'react';
import { PureComponent } from 'react';
import SyntaxHighlighter from 'react-syntax-highlighter';
import { applyTheme } from './themes/themeBuilder';
export default class Code extends PureComponent {
    render() {
        const { inlineCodeStyle } = applyTheme(this.props.theme);
        return (React.createElement(SyntaxHighlighter, { language: this.props.language, style: inlineCodeStyle, showLineNumbers: false }, this.props.text));
    }
}
Code.displayName = 'Code';
Code.propTypes = {
    /** The language in which the code is written */
    language: 'string',
    /** The code to be formatted */
    text: 'string',
    /** A custom theme to be applied, implements the Theme interface */
    theme: 'object'
};
Code.defaultProps = {
    theme: {}
};
//# sourceMappingURL=Code.js.map