import * as React from 'react';
import { PureComponent } from 'react';
import SyntaxHighlighter from 'react-syntax-highlighter';
import { applyTheme } from './themes/themeBuilder';
export default class CodeBlock extends PureComponent {
    render() {
        const { lineNumberContainerStyle, codeBlockStyle, codeContainerStyle } = applyTheme(this.props.theme);
        return (React.createElement(SyntaxHighlighter, { language: this.props.language, style: codeBlockStyle, lineNumberContainerStyle: lineNumberContainerStyle, showLineNumbers: this.props.showLineNumbers, codeTagProps: { style: codeContainerStyle } }, this.props.text.toString()));
    }
}
CodeBlock.displayName = 'CodeBlock';
CodeBlock.propTypes = {
    /** The language in which the code is written */
    language: 'string',
    /** Whether or not to show line numbers */
    showLineNumbers: 'bool',
    /** The code to be formatted */
    text: 'string',
    /** A custom theme to be applied, implements the Theme interface */
    theme: 'object'
};
CodeBlock.defaultProps = {
    showLineNumbers: true,
    theme: {}
};
//# sourceMappingURL=CodeBlock.js.map