"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var react_1 = require("react");
var react_syntax_highlighter_1 = require("react-syntax-highlighter");
var themeBuilder_1 = require("./themes/themeBuilder");
var Code = (function (_super) {
    tslib_1.__extends(Code, _super);
    function Code() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Code.prototype.render = function () {
        var inlineCodeStyle = themeBuilder_1.applyTheme(this.props.theme).inlineCodeStyle;
        return (React.createElement(react_syntax_highlighter_1.default, { language: this.props.language, style: inlineCodeStyle, showLineNumbers: false }, this.props.text));
    };
    return Code;
}(react_1.PureComponent));
Code.displayName = 'Code';
Code.propTypes = {
    /** The language in which the code is written */
    language: 'string',
    /** The code to be formatted */
    text: 'string',
    /** A custom theme to be applied, implements the Theme interface */
    theme: 'object'
};
Code.defaultProps = {
    theme: {}
};
exports.default = Code;
//# sourceMappingURL=Code.js.map