"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var react_1 = require("react");
var react_syntax_highlighter_1 = require("react-syntax-highlighter");
var themeBuilder_1 = require("./themes/themeBuilder");
var CodeBlock = (function (_super) {
    tslib_1.__extends(CodeBlock, _super);
    function CodeBlock() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    CodeBlock.prototype.render = function () {
        var _a = themeBuilder_1.applyTheme(this.props.theme), lineNumberContainerStyle = _a.lineNumberContainerStyle, codeBlockStyle = _a.codeBlockStyle, codeContainerStyle = _a.codeContainerStyle;
        return (React.createElement(react_syntax_highlighter_1.default, { language: this.props.language, style: codeBlockStyle, lineNumberContainerStyle: lineNumberContainerStyle, showLineNumbers: this.props.showLineNumbers, codeTagProps: { style: codeContainerStyle } }, this.props.text.toString()));
    };
    return CodeBlock;
}(react_1.PureComponent));
CodeBlock.displayName = 'CodeBlock';
CodeBlock.propTypes = {
    /** The language in which the code is written */
    language: 'string',
    /** Whether or not to show line numbers */
    showLineNumbers: 'bool',
    /** The code to be formatted */
    text: 'string',
    /** A custom theme to be applied, implements the Theme interface */
    theme: 'object'
};
CodeBlock.defaultProps = {
    showLineNumbers: true,
    theme: {}
};
exports.default = CodeBlock;
//# sourceMappingURL=CodeBlock.js.map