export interface Theme {
    lineNumberColor?: string;
    lineNumberBgColor?: string;
    backgroundColor?: string;
    textColor?: string;
    substringColor?: string;
    keywordColor?: string;
    attributeColor?: string;
    selectorTagColor?: string;
    docTagColor?: string;
    nameColor?: string;
    builtInColor?: string;
    literalColor?: string;
    bulletColor?: string;
    codeColor?: string;
    additionColor?: string;
    regexpColor?: string;
    symbolColor?: string;
    variableColor?: string;
    templateVariableColor?: string;
    linkColor?: string;
    selectorAttributeColor?: string;
    selectorPseudoColor?: string;
    typeColor?: string;
    stringColor?: string;
    selectorIdColor?: string;
    selectorClassColor?: string;
    quoteColor?: string;
    templateTagColor?: string;
    deletionColor?: string;
    titleColor?: string;
    sectionColor?: string;
    commentColor?: string;
    metaKeywordColor?: string;
    metaColor?: string;
    functionColor?: string;
    numberColor?: string;
}
export declare function applyTheme(theme?: Theme): {
    lineNumberContainerStyle: {
        'color': string | undefined;
        'backgroundColor': string | undefined;
        'padding': string;
        'float': string;
    };
    codeBlockStyle: {
        'hljs': {
            'fontFamily': string;
            'fontSize': string;
            'background': string | undefined;
            'color': string | undefined;
            'borderRadius': string;
            'display': string;
            'overflowX': string;
        };
        'hljs-subst': {
            'color': string | undefined;
        };
        'hljs-keyword': {
            'color': string | undefined;
        };
        'hljs-attribute': {
            'color': string | undefined;
        };
        'hljs-selector-tag': {
            'color': string | undefined;
        };
        'hljs-doctag': {
            'color': string | undefined;
        };
        'hljs-name': {
            'color': string | undefined;
        };
        'hljs-built_in': {
            'color': string | undefined;
        };
        'hljs-literal': {
            'color': string | undefined;
        };
        'hljs-bullet': {
            'color': string | undefined;
        };
        'hljs-code': {
            'color': string | undefined;
        };
        'hljs-addition': {
            'color': string | undefined;
        };
        'hljs-regexp': {
            'color': string | undefined;
        };
        'hljs-symbol': {
            'color': string | undefined;
        };
        'hljs-variable': {
            'color': string | undefined;
        };
        'hljs-template-variable': {
            'color': string | undefined;
        };
        'hljs-link': {
            'color': string | undefined;
        };
        'hljs-selector-attr': {
            'color': string | undefined;
        };
        'hljs-selector-pseudo': {
            'color': string | undefined;
        };
        'hljs-type': {
            'color': string | undefined;
        };
        'hljs-string': {
            'color': string | undefined;
        };
        'hljs-selector-id': {
            'color': string | undefined;
        };
        'hljs-selector-class': {
            'color': string | undefined;
        };
        'hljs-quote': {
            'color': string | undefined;
        };
        'hljs-template-tag': {
            'color': string | undefined;
        };
        'hljs-deletion': {
            'color': string | undefined;
        };
        'hljs-title': {
            'color': string | undefined;
            'fontWeight': string;
        };
        'hljs-section': {
            'color': string | undefined;
            'fontWeight': string;
        };
        'hljs-comment': {
            'color': string | undefined;
        };
        'hljs-meta-keyword': {
            'color': string | undefined;
        };
        'hljs-meta': {
            'color': string | undefined;
        };
        'hljs-emphasis': {
            'fontStyle': string;
        };
        'hljs-strong': {
            'fontWeight': string;
        };
        'hljs-function': {
            'color': string | undefined;
        };
        'hljs-number': {
            'color': string | undefined;
        };
    };
    inlineCodeStyle: {
        'hljs': {
            'fontFamily': string;
            'fontSize': string;
            'background': string | undefined;
            'color': string | undefined;
            'borderRadius': string;
            'display': string;
            'overflowX': string;
            'padding': string;
        };
        'hljs-subst': {
            'color': string | undefined;
        };
        'hljs-keyword': {
            'color': string | undefined;
        };
        'hljs-attribute': {
            'color': string | undefined;
        };
        'hljs-selector-tag': {
            'color': string | undefined;
        };
        'hljs-doctag': {
            'color': string | undefined;
        };
        'hljs-name': {
            'color': string | undefined;
        };
        'hljs-built_in': {
            'color': string | undefined;
        };
        'hljs-literal': {
            'color': string | undefined;
        };
        'hljs-bullet': {
            'color': string | undefined;
        };
        'hljs-code': {
            'color': string | undefined;
        };
        'hljs-addition': {
            'color': string | undefined;
        };
        'hljs-regexp': {
            'color': string | undefined;
        };
        'hljs-symbol': {
            'color': string | undefined;
        };
        'hljs-variable': {
            'color': string | undefined;
        };
        'hljs-template-variable': {
            'color': string | undefined;
        };
        'hljs-link': {
            'color': string | undefined;
        };
        'hljs-selector-attr': {
            'color': string | undefined;
        };
        'hljs-selector-pseudo': {
            'color': string | undefined;
        };
        'hljs-type': {
            'color': string | undefined;
        };
        'hljs-string': {
            'color': string | undefined;
        };
        'hljs-selector-id': {
            'color': string | undefined;
        };
        'hljs-selector-class': {
            'color': string | undefined;
        };
        'hljs-quote': {
            'color': string | undefined;
        };
        'hljs-template-tag': {
            'color': string | undefined;
        };
        'hljs-deletion': {
            'color': string | undefined;
        };
        'hljs-title': {
            'color': string | undefined;
            'fontWeight': string;
        };
        'hljs-section': {
            'color': string | undefined;
            'fontWeight': string;
        };
        'hljs-comment': {
            'color': string | undefined;
        };
        'hljs-meta-keyword': {
            'color': string | undefined;
        };
        'hljs-meta': {
            'color': string | undefined;
        };
        'hljs-emphasis': {
            'fontStyle': string;
        };
        'hljs-strong': {
            'fontWeight': string;
        };
        'hljs-function': {
            'color': string | undefined;
        };
        'hljs-number': {
            'color': string | undefined;
        };
    };
    codeContainerStyle: {
        top: string;
        left: string;
        position: string;
    };
};
